#include "IMConfig.h"
#include <syslog.h>

int main (int argc, char* argv[]) {
	IMConfig Daemon;
    unsigned int ip;

	if (Daemon.bindSocket() != 0) {
		fprintf(stderr, "May be another IMDaemon is running.\n");
		return 1;
	}

	openlog("IMDaemon", 0, LOG_USER);
	syslog(LOG_NOTICE, "Start of IMConfig.");

	unsigned int prev_count[0x100];
	while (1) {
        ip = Daemon.receiveUDP() >> 24;
        if (prev_count[ip&0xFF] != Daemon.received.counter) 
        {
			prev_count[ip&0xFF] = Daemon.received.counter;
			/*char type[20];
			if (Daemon.received.type == GL_CODE_TX_DATA)
				strcpy(type, "data");
			else if (Daemon.received.type == GL_CODE_TX_COMMAND)
				strcpy(type, "command");

			syslog(LOG_NOTICE, "Receved message(%s): %s", type, Daemon.received.data);
			*/
			syslog(LOG_NOTICE, "Receved message (%02X): %s", ip&0xFF, Daemon.received.data);
		}
	}

	syslog(LOG_NOTICE, "Stop of IMConfig.");
	closelog();

	return 0;
}
